Subject: [MBONED] Opsdir last call review of draft-ietf-mboned-deprecate-interdomain-asm-05

From: Carlos Pignataro via Datatracker <[email-masked]>
Date: Sat, 21 Dec 2019 09:00:59 -0800

Reviewer: Carlos Pignataro
Review result: Ready

I have reviewed this document as part of the Operational directorate's
ongoing effort to review all IETF documents being processed by the IESG.  These
comments were written with the intent of improving the operational aspects of
the IETF drafts. Comments that are not addressed in last call may be included
in AD reviews during the IESG review.  Document editors and WG chairs should
treat these comments just like any other last call comments.

Summary: This document recommends deprecation of the use of Any-Source
Multicast (ASM) for interdomain multicast, and instead it recommends the use of
Source-Specific Multicast (SSM).

>From an Operations perspective, deployment is discussed throughout the
document. This is important. The proposed specification recommends the
deprecation of ASM and as such it brings network simplification and cuts down
on technical debt. Specifically, Section 3 greatly discusses deployment
trade-offs and comparisons.

In regards to configuration, it is allso very well covered in Section 3.1, and
the net of it is that configuration complexity is removed in the recommended
deployments.

Finally, Section 4.9 includes migration considerations. All in all, I believe
all major operational considerations are adequately covered.

Should the reference for RFC8313 be Normative instead of Informative?

Nits:

Abstract

   This document recommends deprecation of the use of Any-Source
   Multicast (ASM) for interdomain multicast.  It recommends the use of
   Source-Specific Multicast (SSM) for interdomain multicast
   applications and that hosts and routers in these deployments fully
   support SSM.

CMP: Typo? "and that" does not seem sensible.

Thanks,

Carlos Pignataro.

---

From: "Manfredi (US), Albert E" <[email-masked]>
Date: Sun, 22 Dec 2019 00:08:12 +0000

-----Original Message-----
From: MBONED <[email-masked]> On Behalf Of Carlos Pignataro via Datatracker

> CMP: Typo? "and that" does not seem sensible.

I think it's grammatically correct. However, perhaps a less tricky way of saying the same thing would be:

"It recommends the use of Source-Specific Multicast (SSM), for interdomain multicast applications, and *it recommends that* hosts and routers, in these deployments, fully support SSM."

In short, "it recommends" applies both to the first point, use of SSM in interdomain, and it applies to the second point too, that hosts and routers fully support SSM.

Bert

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Sun, 22 Dec 2019 00:59:08 +0000

> 2019/12/21 午後7:08、Manfredi (US), Albert E <[email-masked]>のメール:
> 

Thanks for the quick response. 

I am not sure about its correctness (I was expecting at least a comma before the “and”), but your suggestion above is easier to read, potentially less ambiguous as well. I suggest an update and that the text above is used :-)

— Carlos.

---

From: Tim Chown <[email-masked]>
Date: Sun, 22 Dec 2019 09:44:47 +0000

On 22 Dec 2019, at 00:59, Carlos Pignataro (cpignata) <[email-masked]<mailto:[email-masked]>> wrote:

2019/12/21 午後7:08、Manfredi (US), Albert E <[email-masked]<mailto:[email-masked]>>のメール:

-----Original Message-----
From: MBONED <[email-masked]<mailto:[email-masked]>> On Behalf Of Carlos Pignataro via Datatracker

Nits:

Abstract

I think it’s absolutely fine as is.. it recommends X and Y.

Tim